org.eclipse.rdf4j.sail

## Class RDFStoreTest

- java.lang.Object
- - org.eclipse.rdf4j.sail.RDFStoreTest

- Direct Known Subclasses:
    RDFNotifyingStoreTest

      public abstract class RDFStoreTest
      extends Object

  A JUnit test for testing Sail implementations that store RDF data. This is purely a test for data storage and retrieval which assumes that no inferencing or whatsoever is performed. This is an abstract class that should be extended for specific Sail implementations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SailConnection` | `con`
    `protected IRI` | `context1`
    `protected IRI` | `context2`
    `protected IRI` | `guernica`
    `protected IRI` | `nightwatch`
    `protected IRI` | `painter`
    `protected IRI` | `painting`
    `protected IRI` | `paints`
    `protected IRI` | `picasso`
    `protected IRI` | `rembrandt`
    `protected Sail` | `sail`
    `org.junit.rules.Timeout` | `to` Timeout all individual tests after 1 minute.
    `protected ValueFactory` | `vf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFStoreTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `countAllElements()`
    `protected int` | `countContext1Elements()`
    `protected int` | `countQueryResults(String query)`
    `protected abstract Sail` | `createSail()` Gets an instance of the Sail that should be tested.
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testAddData()`
    `void` | `testAddWhileQuerying()`
    `void` | `testBNodeReuse()`
    `void` | `testClearNamespaces()`
    `void` | `testClose()`
    `void` | `testContexts()`
    `void` | `testCreateURI1()`
    `void` | `testCreateURI2()`
    `void` | `testDecimalRoundTrip()`
    `void` | `testDualConnections()`
    `void` | `testDuplicateCount()`
    `void` | `testDuplicateCountAfterComit()`
    `void` | `testDuplicateCountMultipleTimes()`
    `void` | `testDuplicateGetStatement()`
    `void` | `testDuplicateGetStatementAfterCommit()`
    `void` | `testEmptyRepository()`
    `void` | `testGetContextIDs()`
    `void` | `testGetNamespace()`
    `void` | `testGetNamespaces()`
    `void` | `testInvalidDateTime()`
    `void` | `testLongLangRoundTrip()`
    `void` | `testLongLiteralRoundTrip()`
    `void` | `testLongURIRoundTrip()`
    `void` | `testMultiThreadedAccess()` Deprecated.
    `void` | `testNullNamespaceDisallowed()`
    `void` | `testNullPrefixDisallowed()`
    `void` | `testOldURI()`
    `void` | `testQueryBindings()`
    `void` | `testReallyLongLiteralRoundTrip()`
    `void` | `testRemoveAndClear()`
    `void` | `testRemoveNamespaces()`
    `void` | `testSize()`
    `void` | `testStatementEquals()`
    `void` | `testStatementSerialization()`
    `void` | `testTimeZoneRoundTrip()`
    `void` | `testValueRoundTrip1()`
    `void` | `testValueRoundTrip2()`
    `void` | `testValueRoundTrip3()`
    `void` | `testValueRoundTrip4()`
    `void` | `testValueRoundTrip5()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### to

          public org.junit.rules.Timeout to

      Timeout all individual tests after 1 minute.

    - #### painter

          protected IRI painter

    - #### paints

          protected IRI paints

    - #### painting

          protected IRI painting

    - #### picasso

          protected IRI picasso

    - #### rembrandt

          protected IRI rembrandt

    - #### guernica

          protected IRI guernica

    - #### nightwatch

          protected IRI nightwatch

    - #### context1

          protected IRI context1

    - #### context2

          protected IRI context2

    - #### sail

          protected Sail sail

    - #### con

          protected SailConnection con

    - #### vf

          protected ValueFactory vf

  - ### Constructor Detail

    - #### RDFStoreTest

          public RDFStoreTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### createSail

          protected abstract Sail createSail()

      Gets an instance of the Sail that should be tested.
      Returns:
        a Sail.

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testEmptyRepository

          public void testEmptyRepository()
                                   throws Exception

      Throws:
        `Exception`

    - #### testValueRoundTrip1

          public void testValueRoundTrip1()
                                   throws Exception

      Throws:
        `Exception`

    - #### testValueRoundTrip2

          public void testValueRoundTrip2()
                                   throws Exception

      Throws:
        `Exception`

    - #### testValueRoundTrip3

          public void testValueRoundTrip3()
                                   throws Exception

      Throws:
        `Exception`

    - #### testValueRoundTrip4

          public void testValueRoundTrip4()
                                   throws Exception

      Throws:
        `Exception`

    - #### testValueRoundTrip5

          public void testValueRoundTrip5()
                                   throws Exception

      Throws:
        `Exception`

    - #### testDecimalRoundTrip

          public void testDecimalRoundTrip()
                                    throws Exception

      Throws:
        `Exception`

    - #### testTimeZoneRoundTrip

          public void testTimeZoneRoundTrip()
                                     throws Exception

      Throws:
        `Exception`

    - #### testLongURIRoundTrip

          public void testLongURIRoundTrip()
                                    throws Exception

      Throws:
        `Exception`

    - #### testLongLiteralRoundTrip

          public void testLongLiteralRoundTrip()
                                        throws Exception

      Throws:
        `Exception`

    - #### testReallyLongLiteralRoundTrip

          public void testReallyLongLiteralRoundTrip()
                                              throws Exception

      Throws:
        `Exception`

    - #### testLongLangRoundTrip

          public void testLongLangRoundTrip()
                                     throws Exception

      Throws:
        `Exception`

    - #### testCreateURI1

          public void testCreateURI1()
                              throws Exception

      Throws:
        `Exception`

    - #### testCreateURI2

          public void testCreateURI2()
                              throws Exception

      Throws:
        `Exception`

    - #### testInvalidDateTime

          public void testInvalidDateTime()
                                   throws Exception

      Throws:
        `Exception`

    - #### testSize

          public void testSize()
                        throws Exception

      Throws:
        `Exception`

    - #### testAddData

          public void testAddData()
                           throws Exception

      Throws:
        `Exception`

    - #### testAddWhileQuerying

          public void testAddWhileQuerying()
                                    throws Exception

      Throws:
        `Exception`

    - #### testRemoveAndClear

          public void testRemoveAndClear()
                                  throws Exception

      Throws:
        `Exception`

    - #### testClose

          public void testClose()

    - #### testContexts

          public void testContexts()
                            throws Exception

      Throws:
        `Exception`

    - #### testQueryBindings

          public void testQueryBindings()
                                 throws Exception

      Throws:
        `Exception`

    - #### testMultiThreadedAccess

          @Deprecated
          public void testMultiThreadedAccess()

      Deprecated.

    - #### testStatementEquals

          public void testStatementEquals()
                                   throws Exception

      Throws:
        `Exception`

    - #### testStatementSerialization

          public void testStatementSerialization()
                                          throws Exception

      Throws:
        `Exception`

    - #### testGetNamespaces

          public void testGetNamespaces()
                                 throws Exception

      Throws:
        `Exception`

    - #### testGetNamespace

          public void testGetNamespace()
                                throws Exception

      Throws:
        `Exception`

    - #### testClearNamespaces

          public void testClearNamespaces()
                                   throws Exception

      Throws:
        `Exception`

    - #### testRemoveNamespaces

          public void testRemoveNamespaces()
                                    throws Exception

      Throws:
        `Exception`

    - #### testNullNamespaceDisallowed

          public void testNullNamespaceDisallowed()
                                           throws Exception

      Throws:
        `Exception`

    - #### testNullPrefixDisallowed

          public void testNullPrefixDisallowed()
                                        throws Exception

      Throws:
        `Exception`

    - #### testGetContextIDs

          public void testGetContextIDs()
                                 throws Exception

      Throws:
        `Exception`

    - #### testOldURI

          public void testOldURI()
                          throws Exception

      Throws:
        `Exception`

    - #### testDualConnections

          public void testDualConnections()
                                   throws Exception

      Throws:
        `Exception`

    - #### testBNodeReuse

          public void testBNodeReuse()
                              throws Exception

      Throws:
        `Exception`

    - #### testDuplicateCount

          public void testDuplicateCount()

    - #### testDuplicateGetStatement

          public void testDuplicateGetStatement()

    - #### testDuplicateGetStatementAfterCommit

          public void testDuplicateGetStatementAfterCommit()

    - #### testDuplicateCountAfterComit

          public void testDuplicateCountAfterComit()

    - #### testDuplicateCountMultipleTimes

          public void testDuplicateCountMultipleTimes()

    - #### countContext1Elements

          protected int countContext1Elements()
                                       throws Exception,
                                              SailException

      Throws:
        `Exception`
        `SailException`

    - #### countAllElements

          protected int countAllElements()
                                  throws Exception,
                                         SailException

      Throws:
        `Exception`
        `SailException`

    - #### countQueryResults

          protected int countQueryResults(String query)
                                   throws Exception

      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.